Subject: Re: Revised charter proposal

From: Alexey Melnikov <[email-masked]>
Date: Sat, 11 Aug 2007 17:49:14 +0100

Larry Masinter wrote:

>Some minor suggestions to the charter, for your consideration:
>  
>
Hi Larry,
Some personal comments (strictly as a participant):

>OLD:
>   Additionally, after years of implementation and extension,  
>   several ambiguities have arisen, impairing interoperability and the  
>   ability to easily implement and use HTTP to its full potential.
>
>s/arisen/become evident/
>  (the ambiguities were there)
>
+1

>s/use HTTP to its full potential./use HTTP./
>  (potential would include controlling coffee pots)
>  
>
Good point :-)

>-----------------------------------------------------------------
>Add:
>   * Update references
>
>(I think this is necessary)
>
I think this workitem is hidden inside "Incorporate errata and updates". 
But I would prefer if "updates" are expanded to say "updates to 
references and IANA registration" (and possibly "and migrate to ABNF").

>------------------------------------------------------------------
>   * Include (non-normative) references to
>     extensions and applicability statements
>
>(More controversial, but I think a reference to BCP 56/RFC 3205 would
>be in order, as well as a reference to WebDAV and other protocols 
>that use HTTP as a substrate)
>  
>
Not sure about this one.

>------------------------------------------------------------------
>OLD:
> * Improve editorial quality
>
>NEW:
> * Fix editorial problems which have led to
>   misunderstandings of the specification
>
>(you don't want to be mandated to fix all editorial problems)
>  
>
I am fine with Mark's version or your version. "Improve quality" doesn't 
require the final result to be perfect ;-)

>-------------------------------------------------------------
>OLD: 
> * Remove or deprecate those features that are not widely  
>   implemented, unduly affect interoperability and are not well-supported
>
>NEW:
>  * Remove or deprecate those features that are
>    not widely implemented, not well-supported and also
>    unduly affect interoperability.
>
>(I think that's what you meant, but I wasn't sure of the
>scope of the 'and'. I'm not actually clear on what is intended by
>'not well-supported', though.)
>
The difference between "not well-supported" and "not widely implemented" 
escapes me at the moment. Can somebody clarify?

>-----------------------------------------------------------
>OLD:
>  Additionally, the Working Group should review (and may document) test  
>  suites for HTTP conformance, as they are made available.
>
>s/should review (and may document)/may review (and document)/
>
>(You don't want to be mandated to consider test suites if
>you're otherwise done.)
>  
>
+1.

>------------------------------------------------------------------
>OLD:
>   * Clarify methods of extensibility
>
>NEW:
>   * Clarify existing methods of extensibility
>  
>
A very good point. +2!